Framebuffer Calibration Functions

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
Framebuffer Calibration Functions
Ecore » Ecore_FB - Frame buffer convenience functions.

Functions that calibrate the screen. More...

## Functions
EAPI void | ecore_fb_touch_screen_calibrate_set (int xscale, int xtrans, int yscale, int ytrans, int xyswap)
| Calibrates the touschreen using the given parameters. More...
EAPI void | ecore_fb_touch_screen_calibrate_get (int *xscale, int *xtrans, int *yscale, int *ytrans, int *xyswap)
| Retrieves the calibration parameters of the touchscreen. More...

## Detailed Description

Functions that calibrate the screen.

## Function Documentation

EAPI void ecore_fb_touch_screen_calibrate_set | ( | int | xscale,
|  | int | xtrans,
|  | int | yscale,
|  | int | ytrans,
|  | int | xyswap
| ) |  |

Calibrates the touschreen using the given parameters.

Parameters

  xscale | X scaling, where 256 = 1.0
  xtrans | X translation.
  yscale | Y scaling.
  ytrans | Y translation.
  xyswap | Swap X & Y flag.

EAPI void ecore_fb_touch_screen_calibrate_get | ( | int * | xscale,
|  | int * | xtrans,
|  | int * | yscale,
|  | int * | ytrans,
|  | int * | xyswap
| ) |  |

Retrieves the calibration parameters of the touchscreen.

Parameters

  xscale | Pointer to an integer in which to store the X scaling. Note that 256 = 1.0.
  xtrans | Pointer to an integer in which to store the X translation.
  yscale | Pointer to an integer in which to store the Y scaling.
  ytrans | Pointer to an integer in which to store the Y translation.
  xyswap | Pointer to an integer in which to store the Swap X & Y flag.

References _Ecore_Event_Mouse_Button::buttons, _Ecore_Event_Mouse_Button::double_click, ecore_event_add(), ecore_loop_time_get(), EINA_UNUSED, _Ecore_Event_Mouse_Button::event_window, _Ecore_Event_Mouse_Move::event_window, _Ecore_Event_Mouse_Button::root, _Ecore_Event_Mouse_Move::root, _Ecore_Event_Mouse_Button::root_window, _Ecore_Event_Mouse_Move::root_window, _Ecore_Event_Mouse_Button::same_screen, _Ecore_Event_Mouse_Move::same_screen, _Ecore_Event_Mouse_Button::timestamp, _Ecore_Event_Mouse_Move::timestamp, _Ecore_Event_Mouse_Button::triple_click, _Ecore_Event_Mouse_Button::window, _Ecore_Event_Mouse_Move::window, _Ecore_Event_Mouse_Button::x, _Ecore_Event_Mouse_Move::x, _Ecore_Event_Mouse_Button::y, and _Ecore_Event_Mouse_Move::y.